zenilib: ALCdevice_struct Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
ALCdevice_struct Struct Reference

`#include <alMain.h>`

## Public Member Functions

| ALIGN (16) ALfloat SampleData1[BUFFERSIZE+1]
| ALIGN (16) ALfloat SampleData2[BUFFERSIZE+1]
| ALIGN (16) ALfloat DryBuffer[MaxChannels][BUFFERSIZE]
| ALIGN (16) ALfloat ClickRemoval[MaxChannels]
| ALIGN (16) ALfloat PendingClicks[MaxChannels]

## Public Attributes

ALuint | AuxiliaryEffectSlotMax
struct bs2b * | Bs2b
ALCint | Bs2bLevel
UIntMap | BufferMap
ALuint | ChannelOffsets [MaxChannels]
ALCboolean | Connected
ALCcontext *volatile | ContextList
struct ALeffectslot * | DefaultSlot
ALCchar * | DeviceName
UIntMap | EffectMap
void * | ExtraData
UIntMap | FilterMap
ALuint | Flags
enum DevFmtChannels | FmtChans
enum DevFmtType | FmtType
ALuint | Frequency
BackendFuncs * | Funcs
struct Hrtf * | Hrtf
volatile ALCenum | LastError
ALuint | MaxNoOfSources
CRITICAL_SECTION | Mutex
ALCdevice *volatile | next
ALuint | NumAuxSends
ALuint | NumChan
ALCuint | NumMonoSources
ALCuint | NumStereoSources
ALuint | NumUpdates
volatile RefCount | ref
enum Channel | Speaker2Chan [MaxChannels]
ALfloat | SpeakerAngle [MaxChannels]
enum DeviceType | Type
ALuint | UpdateSize

## Detailed Description

Definition at line 560 of file alMain.h.

## Member Function Documentation

ALCdevice_struct::ALIGN | ( | 16 |  | ) |

ALCdevice_struct::ALIGN | ( | 16 |  | ) |

ALCdevice_struct::ALIGN | ( | 16 |  | ) |

ALCdevice_struct::ALIGN | ( | 16 |  | ) |

ALCdevice_struct::ALIGN | ( | 16 |  | ) |

## Member Data Documentation

ALuint ALCdevice_struct::AuxiliaryEffectSlotMax

Definition at line 582 of file alMain.h.

Referenced by alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), and InitContext().

struct bs2b* ALCdevice_struct::Bs2b

Definition at line 601 of file alMain.h.

Referenced by alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), aluMixData(), FreeDevice(), and UpdateDeviceParams().

ALCint ALCdevice_struct::Bs2bLevel

Definition at line 602 of file alMain.h.

Referenced by alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), and UpdateDeviceParams().

UIntMap ALCdevice_struct::BufferMap

Definition at line 589 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alGenBuffers(), FreeDevice(), and ReleaseALBuffers().

ALuint ALCdevice_struct::ChannelOffsets[MaxChannels]

Definition at line 607 of file alMain.h.

Referenced by SetDefaultChannelOrder(), and SetDefaultWFXChannelOrder().

ALCboolean ALCdevice_struct::Connected

Definition at line 564 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcCaptureStart(), alcCreateContext(), alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_available_samples(), alsa_capture_samples(), aluHandleDisconnect(), DSoundAvailableSamples(), NullProc(), OSSProc(), SetSourceState(), sndio_proc(), SolarisProc(), and WaveProc().

ALCcontext* volatile ALCdevice_struct::ContextList

Definition at line 627 of file alMain.h.

Referenced by alcCloseDevice(), alcCreateContext(), alcDestroyContext(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), aluHandleDisconnect(), aluMixData(), ReleaseContext(), UpdateDeviceParams(), and VerifyContext().

struct ALeffectslot* ALCdevice_struct::DefaultSlot

Definition at line 624 of file alMain.h.

Referenced by alcOpenDevice(), aluMixData(), CalcNonAttnSourceParams(), CalcSourceParams(), FreeDevice(), and UpdateDeviceParams().

ALCchar* ALCdevice_struct::DeviceName

Definition at line 575 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcGetString(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_open_capture(), alsa_open_playback(), ca_open_playback(), DSoundOpenCapture(), DSoundOpenPlayback(), FreeDevice(), loopback_open_playback(), MMDevApiMsgProc(), null_open_playback(), opensl_open_playback(), oss_open_capture(), oss_open_playback(), pa_open_capture(), pa_open_playback(), sndio_open_playback(), solaris_open_playback(), and wave_open_playback().

UIntMap ALCdevice_struct::EffectMap

Definition at line 592 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alGenEffects(), FreeDevice(), and ReleaseALEffects().

void* ALCdevice_struct::ExtraData

Definition at line 630 of file alMain.h.

Referenced by alsa_available_samples(), alsa_capture_samples(), alsa_close_capture(), alsa_close_playback(), alsa_get_latency(), alsa_open_capture(), alsa_open_playback(), alsa_reset_playback(), alsa_start_capture(), alsa_start_playback(), alsa_stop_capture(), alsa_stop_playback(), ALSANoMMapProc(), ALSAProc(), ca_available_samples(), ca_callback(), ca_capture_callback(), ca_capture_conversion_callback(), ca_capture_samples(), ca_close_capture(), ca_close_playback(), ca_open_capture(), ca_open_playback(), ca_reset_playback(), ca_start_capture(), ca_start_playback(), ca_stop_capture(), ca_stop_playback(), CaptureThreadProc(), DoReset(), DSoundAvailableSamples(), DSoundCaptureSamples(), DSoundCloseCapture(), DSoundClosePlayback(), DSoundOpenCapture(), DSoundOpenPlayback(), DSoundPlaybackProc(), DSoundResetPlayback(), DSoundStartCapture(), DSoundStartPlayback(), DSoundStopCapture(), DSoundStopPlayback(), MMDevApiClosePlayback(), MMDevApiGetLatency(), MMDevApiMsgProc(), MMDevApiOpenPlayback(), MMDevApiProc(), MMDevApiResetPlayback(), MMDevApiStartPlayback(), MMDevApiStopPlayback(), null_close_playback(), null_open_playback(), null_start_playback(), null_stop_playback(), NullProc(), opensl_callback(), opensl_close_playback(), opensl_open_playback(), opensl_reset_playback(), opensl_start_playback(), opensl_stop_playback(), oss_available_samples(), oss_capture_samples(), oss_close_capture(), oss_close_playback(), oss_open_capture(), oss_open_playback(), oss_reset_playback(), oss_start_capture(), oss_start_playback(), oss_stop_capture(), oss_stop_playback(), OSSCaptureProc(), OSSProc(), pa_available_samples(), pa_capture_cb(), pa_capture_samples(), pa_close_capture(), pa_close_playback(), pa_open_capture(), pa_open_playback(), pa_reset_playback(), pa_start_capture(), pa_start_playback(), pa_stop_capture(), pa_stop_playback(), PlaybackThreadProc(), sndio_close_playback(), sndio_open_playback(), sndio_proc(), sndio_reset_playback(), sndio_start_playback(), sndio_stop_playback(), solaris_close_playback(), solaris_open_playback(), solaris_reset_playback(), solaris_start_playback(), solaris_stop_playback(), SolarisProc(), wave_close_playback(), wave_open_playback(), wave_reset_playback(), wave_start_playback(), wave_stop_playback(), WaveInProc(), WaveOutProc(), WaveProc(), WinMMAvailableSamples(), WinMMCaptureSamples(), WinMMCloseCapture(), WinMMClosePlayback(), WinMMOpenCapture(), WinMMOpenPlayback(), WinMMResetPlayback(), WinMMStartCapture(), WinMMStartPlayback(), WinMMStopCapture(), and WinMMStopPlayback().

UIntMap ALCdevice_struct::FilterMap

Definition at line 595 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alGenFilters(), FreeDevice(), and ReleaseALFilters().

ALuint ALCdevice_struct::Flags

Definition at line 605 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcCaptureStart(), alcCaptureStop(), alcCloseDevice(), alcCreateContext(), alcDestroyContext(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), CalcNonAttnSourceParams(), DoReset(), DSoundResetPlayback(), and UpdateDeviceParams().

enum DevFmtChannels ALCdevice_struct::FmtChans

Definition at line 572 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_open_capture(), alsa_reset_playback(), aluInitPanning(), aluMixData(), ca_open_capture(), ca_reset_playback(), CalcNonAttnSourceParams(), CaptureThreadProc(), DoReset(), DSoundAvailableSamples(), DSoundOpenCapture(), DSoundPlaybackProc(), DSoundResetPlayback(), GetHrtf(), opensl_reset_playback(), opensl_start_playback(), oss_open_capture(), oss_reset_playback(), oss_start_playback(), OSSCaptureProc(), OSSProc(), pa_open_capture(), pa_open_playback(), pa_reset_playback(), PlaybackThreadProc(), SetDefaultChannelOrder(), SetDefaultWFXChannelOrder(), sndio_proc(), sndio_reset_playback(), sndio_start_playback(), solaris_reset_playback(), solaris_start_playback(), SolarisProc(), UpdateDeviceParams(), wave_reset_playback(), wave_start_playback(), WaveProc(), WinMMOpenCapture(), WinMMOpenPlayback(), WinMMResetPlayback(), and WinMMStartPlayback().

enum DevFmtType ALCdevice_struct::FmtType

Definition at line 573 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_capture_samples(), alsa_open_capture(), alsa_reset_playback(), aluMixData(), ca_open_capture(), ca_reset_playback(), CaptureThreadProc(), DoReset(), DSoundAvailableSamples(), DSoundOpenCapture(), DSoundPlaybackProc(), DSoundResetPlayback(), opensl_reset_playback(), opensl_start_playback(), oss_open_capture(), oss_reset_playback(), oss_start_playback(), OSSCaptureProc(), OSSProc(), pa_open_capture(), pa_open_playback(), pa_reset_playback(), PlaybackThreadProc(), sndio_proc(), sndio_reset_playback(), sndio_start_playback(), solaris_reset_playback(), solaris_start_playback(), SolarisProc(), UpdateDeviceParams(), wave_reset_playback(), wave_start_playback(), WaveProc(), WinMMOpenCapture(), WinMMOpenPlayback(), WinMMResetPlayback(), and WinMMStartPlayback().

ALuint ALCdevice_struct::Frequency

Definition at line 569 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_get_latency(), alsa_open_capture(), alsa_reset_playback(), ca_open_capture(), ca_reset_playback(), CalcNonAttnSourceParams(), CalcSourceParams(), DoReset(), DSoundOpenCapture(), DSoundResetPlayback(), EchoDeviceUpdate(), EchoUpdate(), GetHrtf(), GetSourcedv(), MMDevApiGetLatency(), ModulatorUpdate(), NullProc(), opensl_reset_playback(), oss_open_capture(), oss_reset_playback(), pa_open_capture(), pa_open_playback(), pa_reset_playback(), ReverbDeviceUpdate(), ReverbUpdate(), sndio_reset_playback(), solaris_reset_playback(), UpdateDeviceParams(), wave_reset_playback(), WaveProc(), WinMMOpenCapture(), WinMMOpenPlayback(), and WinMMResetPlayback().

BackendFuncs* ALCdevice_struct::Funcs

Definition at line 629 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcLoopbackOpenDeviceSOFT(), and alcOpenDevice().

struct Hrtf* ALCdevice_struct::Hrtf

Definition at line 598 of file alMain.h.

Referenced by CalcNonAttnSourceParams(), CalcSourceParams(), and UpdateDeviceParams().

volatile ALCenum ALCdevice_struct::LastError

Definition at line 577 of file alMain.h.

Referenced by alcCreateContext(), alcGetError(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), and alcSetError().

ALuint ALCdevice_struct::MaxNoOfSources

Definition at line 580 of file alMain.h.

Referenced by alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), InitContext(), and UpdateDeviceParams().

CRITICAL_SECTION ALCdevice_struct::Mutex

Definition at line 567 of file alMain.h.

Referenced by alcCaptureOpenDevice(), ALCdevice_LockDefault(), ALCdevice_UnlockDefault(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), and FreeDevice().

ALCdevice* volatile ALCdevice_struct::next

Definition at line 632 of file alMain.h.

Referenced by alc_cleanup(), alcCaptureCloseDevice(), alcCaptureOpenDevice(), alcCloseDevice(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), VerifyContext(), and VerifyDevice().

ALuint ALCdevice_struct::NumAuxSends

Definition at line 586 of file alMain.h.

Referenced by alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), CalcNonAttnSourceParams(), CalcSourceParams(), MixSource(), SetSourceiv(), and UpdateDeviceParams().

ALuint ALCdevice_struct::NumChan

Definition at line 611 of file alMain.h.

Referenced by aluInitPanning(), CalcNonAttnSourceParams(), CalcSourceParams(), ComputeAngleGains(), ModulatorUpdate(), ReverbUpdate(), and Update3DPanning().

ALCuint ALCdevice_struct::NumMonoSources

Definition at line 584 of file alMain.h.

Referenced by alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), and UpdateDeviceParams().

ALCuint ALCdevice_struct::NumStereoSources

Definition at line 585 of file alMain.h.

Referenced by alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), and UpdateDeviceParams().

ALuint ALCdevice_struct::NumUpdates

Definition at line 571 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_open_capture(), alsa_reset_playback(), ALSANoMMapProc(), ALSAProc(), ca_open_capture(), DoReset(), DSoundOpenCapture(), DSoundResetPlayback(), MMDevApiProc(), opensl_reset_playback(), opensl_start_playback(), oss_open_capture(), oss_reset_playback(), pa_open_capture(), pa_open_playback(), sndio_reset_playback(), solaris_reset_playback(), UpdateDeviceParams(), WinMMResetPlayback(), and WinMMStartPlayback().

volatile RefCount ALCdevice_struct::ref

Definition at line 562 of file alMain.h.

Referenced by alcCaptureOpenDevice(), ALCdevice_DecRef(), ALCdevice_IncRef(), alcLoopbackOpenDeviceSOFT(), and alcOpenDevice().

enum Channel ALCdevice_struct::Speaker2Chan[MaxChannels]

Definition at line 609 of file alMain.h.

Referenced by aluInitPanning(), CalcNonAttnSourceParams(), CalcSourceParams(), ComputeAngleGains(), ModulatorUpdate(), and ReverbUpdate().

ALfloat ALCdevice_struct::SpeakerAngle[MaxChannels]

Definition at line 610 of file alMain.h.

Referenced by aluInitPanning(), and ComputeAngleGains().

enum DeviceType ALCdevice_struct::Type

Definition at line 565 of file alMain.h.

Referenced by alcCaptureCloseDevice(), alcCaptureOpenDevice(), alcCaptureSamples(), alcCaptureStart(), alcCaptureStop(), alcCloseDevice(), alcCreateContext(), alcGetIntegerv(), alcIsRenderFormatSupportedSOFT(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alcRenderSamplesSOFT(), aluInitPanning(), FreeDevice(), and UpdateDeviceParams().

ALuint ALCdevice_struct::UpdateSize

Definition at line 570 of file alMain.h.

Referenced by alcCaptureOpenDevice(), alcGetIntegerv(), alcLoopbackOpenDeviceSOFT(), alcOpenDevice(), alsa_open_capture(), alsa_reset_playback(), alsa_start_playback(), ALSANoMMapProc(), ALSAProc(), ca_open_capture(), ca_reset_playback(), DoReset(), DSoundOpenCapture(), DSoundPlaybackProc(), DSoundResetPlayback(), GetSourcedv(), MMDevApiProc(), NullProc(), opensl_reset_playback(), opensl_start_playback(), oss_open_capture(), oss_reset_playback(), oss_start_playback(), pa_open_capture(), pa_open_playback(), pa_reset_playback(), sndio_reset_playback(), sndio_start_playback(), solaris_reset_playback(), solaris_start_playback(), UpdateDeviceParams(), wave_start_playback(), WaveProc(), WinMMResetPlayback(), and WinMMStartPlayback().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/OpenAL32/Include/alMain.h